﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Steema.TeeChart.WPF;
using Steema.TeeChart.WPF.Styles;
using System.IO;
using System.Windows.Markup;
using Steema.TeeChart.WPF.Tools;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();            
            MyTChart.Aspect.View3D = false;
            MyTChart.Width = 300;
            MyTChart.Height = 200;
            Histogram histogram = new Histogram();
            histogram.Add(10);
            histogram.Add(1);
            MyTChart.Series.Add(histogram);
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            Microsoft.Win32.SaveFileDialog saveDialog = new Microsoft.Win32.SaveFileDialog();
            if (saveDialog.ShowDialog() == true)
            {
                MyTChart.Export.Image.XAML.Height = MyTChart.Export.Image.XAML.Height + 0.5;
                MyTChart.Export.Image.XAML.Save(saveDialog.FileName);
            }
        }
    }
}
